<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net7.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <UserSecretsId>aspnet-MyVod-B349F0EE-5BFC-4BCC-95E4-1A2AF43C5375</UserSecretsId>
  </PropertyGroup>

  <ItemGroup>
    <None Update="app.db" CopyToOutputDirectory="PreserveNewest" ExcludeFromSingleFile="true" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Marten.AspNetCore" Version="5.11.0" />
    <PackageReference Include="MediatR" Version="12.0.1" />
    <PackageReference Include="Microsoft.AspNetCore.Diagnostics.EntityFrameworkCore" Version="7.0.5" />
    <PackageReference Include="Microsoft.AspNetCore.Identity.EntityFrameworkCore" Version="7.0.5" />
    <PackageReference Include="Microsoft.AspNetCore.Identity.UI" Version="7.0.5" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc.Razor.RuntimeCompilation" Version="7.0.5" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Sqlite" Version="7.0.5" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="7.0.5">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="MongoDB.Driver" Version="2.19.1" />
    <PackageReference Include="OpenSleigh.Core" Version="2.0.2" />
    <PackageReference Include="OpenSleigh.Persistence.InMemory" Version="2.0.2" />
    <PackageReference Include="Scrutor" Version="4.2.2" />
    <PackageReference Include="Stripe.net" Version="41.13.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\GeoFindService\GeoFindService.csproj" />
    <ProjectReference Include="..\GolabexClient\GolabexClient.csproj" />
    <ProjectReference Include="..\MyVod.Services\MyVod.Services.csproj" />
    <ProjectReference Include="..\StripeClient\StripeClient.csproj" />
  </ItemGroup>

</Project>
